diff --git a/pidgin/prefs/pidginprefs.c b/pidgin/prefs/pidginprefs.c
--- a/pidgin/prefs/pidginprefs.c
+++ b/pidgin/prefs/pidginprefs.c
@@ -38,7 +38,6 @@
 #include "gtkconv.h"
 #include "gtkdialogs.h"
 #include "gtksavedstatuses.h"
-#include "gtksmiley-theme.h"
 #include "gtkstatus-icon-theme.h"
 #include "gtkutils.h"
 #include "pidgincore.h"
@@ -123,8 +122,6 @@
 		struct {
 			GtkWidget *blink_im;
 		} win32;
-		GtkWidget *resize_custom_smileys;
-		GtkWidget *custom_smileys_size;
 		GtkWidget *minimum_entry_lines;
 		GtkTextBuffer *format_buffer;
 		GtkWidget *format_view;
@@ -194,7 +191,6 @@
 	struct {
 		SoupSession *session;
 		GtkWidget *status;
-		GtkWidget *smiley;
 	} theme;
 
 #ifdef USE_VV
@@ -227,11 +223,9 @@
 
 /* Themes page */
 static GtkWidget *prefs_status_themes_combo_box;
-static GtkWidget *prefs_smiley_themes_combo_box;
 
 /* These exist outside the lifetime of the prefs dialog */
 static GtkListStore *prefs_status_icon_themes;
-static GtkListStore *prefs_smiley_themes;
 
 /*
  * PROTOTYPES
@@ -821,7 +815,6 @@
 
 	/* NULL-ify globals */
 	prefs_status_themes_combo_box = NULL;
-	prefs_smiley_themes_combo_box = NULL;
 
 	g_free(prefs->proxy.gnome_program_path);
 	prefs = NULL;
@@ -838,39 +831,6 @@
 						   description != NULL ? description : "");
 }
 
-static void
-smileys_refresh_theme_list(void)
-{
-	GList *it;
-	GtkTreeIter iter;
-	gchar *description;
-
-	description = get_theme_markup(_("none"), FALSE, _("Penguin Pimps"),
-		_("Selecting this disables graphical emoticons."));
-	gtk_list_store_append(prefs_smiley_themes, &iter);
-	gtk_list_store_set(prefs_smiley_themes, &iter,
-		0, NULL, 1, description, 2, "none", -1);
-	g_free(description);
-
-	for (it = pidgin_smiley_theme_get_all(); it; it = g_list_next(it)) {
-		PidginSmileyTheme *theme = it->data;
-
-		description = get_theme_markup(
-			_(pidgin_smiley_theme_get_name(theme)), FALSE,
-			_(pidgin_smiley_theme_get_author(theme)),
-			_(pidgin_smiley_theme_get_description(theme)));
-
-		gtk_list_store_append(prefs_smiley_themes, &iter);
-		gtk_list_store_set(prefs_smiley_themes, &iter,
-			0, pidgin_smiley_theme_get_icon(theme),
-			1, description,
-			2, pidgin_smiley_theme_get_name(theme),
-			-1);
-
-		g_free(description);
-	}
-}
-
 /* adds the themes to the theme list from the manager so they can be displayed in prefs */
 static void
 prefs_themes_sort(PurpleTheme *theme)
@@ -957,15 +917,10 @@
 	if (pixbuf)
 		g_object_unref(G_OBJECT(pixbuf));
 
-	/* smiley themes */
-	gtk_list_store_clear(prefs_smiley_themes);
-
 	purple_theme_manager_for_each_theme(prefs_themes_sort);
-	smileys_refresh_theme_list();
 
 	/* set active */
 	prefs_set_active_theme_combo(prefs_status_themes_combo_box, prefs_status_icon_themes, purple_prefs_get_string(PIDGIN_PREFS_ROOT "/status/icon-theme"));
-	prefs_set_active_theme_combo(prefs_smiley_themes_combo_box, prefs_smiley_themes, purple_prefs_get_string(PIDGIN_PREFS_ROOT "/smileys/theme"));
 }
 
 /* init all the theme variables so that the themes can be sorted later and used by pref pages */
@@ -973,8 +928,6 @@
 prefs_themes_init(void)
 {
 	prefs_status_icon_themes = gtk_list_store_new(3, GDK_TYPE_PIXBUF, G_TYPE_STRING, G_TYPE_STRING);
-
-	prefs_smiley_themes = gtk_list_store_new(3, GDK_TYPE_PIXBUF, G_TYPE_STRING, G_TYPE_STRING);
 }
 
 /*
@@ -1053,7 +1006,7 @@
 {
 	gchar *destdir;
 	const char *tail;
-	gboolean is_smiley_theme, is_archive;
+	gboolean is_archive;
 	PurpleTheme *theme = NULL;
 
 	if (info == NULL)
@@ -1072,10 +1025,7 @@
 	/* Just to be safe */
 	g_strchomp(path);
 
-	if ((is_smiley_theme = purple_strequal(info->type, "smiley")))
-		destdir = g_build_filename(purple_data_dir(), "smileys", NULL);
-	else
-		destdir = g_build_filename(purple_data_dir(), "themes", "temp", NULL);
+	destdir = g_build_filename(purple_data_dir(), "themes", "temp", NULL);
 
 	/* We'll check this just to make sure. This also lets us do something different on
 	 * other platforms, if need be */
@@ -1112,11 +1062,7 @@
 #endif
 	}
 
-	if (is_smiley_theme) {
-		/* just extract the folder to the smiley directory */
-		prefs_themes_refresh();
-
-	} else if (is_archive) {
+	if (is_archive) {
 		theme = prefs_theme_find_theme(destdir, info->type);
 
 		if (PURPLE_IS_THEME(theme)) {
@@ -1329,59 +1275,6 @@
 	g_signal_connect(G_OBJECT(combo_box), "drag_data_received", G_CALLBACK(theme_dnd_recv), (gpointer) type);
 }
 
-/* sets the current smiley theme */
-static void
-prefs_set_smiley_theme_cb(GtkComboBox *combo_box, gpointer user_data)
-{
-	gchar *new_theme;
-	GtkTreeIter new_iter;
-
-	if (gtk_combo_box_get_active_iter(combo_box, &new_iter)) {
-
-		gtk_tree_model_get(GTK_TREE_MODEL(prefs_smiley_themes), &new_iter, 2, &new_theme, -1);
-
-		purple_prefs_set_string(PIDGIN_PREFS_ROOT "/smileys/theme", new_theme);
-
-		g_free(new_theme);
-	}
-}
-
-
-/* Does same as normal sort, except "none" is sorted first */
-static gint pidgin_sort_smileys (GtkTreeModel	*model,
-						GtkTreeIter		*a,
-						GtkTreeIter		*b,
-						gpointer		userdata)
-{
-	gint ret = 0;
-	gchar *name1 = NULL, *name2 = NULL;
-
-	gtk_tree_model_get(model, a, 2, &name1, -1);
-	gtk_tree_model_get(model, b, 2, &name2, -1);
-
-	if (name1 == NULL || name2 == NULL) {
-		if (!(name1 == NULL && name2 == NULL))
-			ret = (name1 == NULL) ? -1: 1;
-	} else if (!g_ascii_strcasecmp(name1, "none")) {
-		if (!g_utf8_collate(name1, name2))
-			ret = 0;
-		else
-			/* Sort name1 first */
-			ret = -1;
-	} else if (!g_ascii_strcasecmp(name2, "none")) {
-		/* Sort name2 first */
-		ret = 1;
-	} else {
-		/* Neither string is "none", default to normal sort */
-		ret = purple_utf8_strcasecmp(name1, name2);
-	}
-
-	g_free(name1);
-	g_free(name2);
-
-	return ret;
-}
-
 /* sets the current icon theme */
 static void
 prefs_set_status_icon_theme_cb(GtkComboBox *combo_box, gpointer user_data)
@@ -1412,18 +1305,6 @@
 	                            PIDGIN_PREFS_ROOT "/status/icon-theme",
 	                            "icon");
 	prefs_status_themes_combo_box = win->theme.status;
-
-	/* Smiley Themes */
-	prefs_build_theme_combo_box(win->theme.smiley, prefs_smiley_themes,
-	                            PIDGIN_PREFS_ROOT "/smileys/theme",
-	                            "smiley");
-	prefs_smiley_themes_combo_box = win->theme.smiley;
-
-	/* Custom sort so "none" theme is at top of list */
-	gtk_tree_sortable_set_sort_func(GTK_TREE_SORTABLE(prefs_smiley_themes),
-	                                2, pidgin_sort_smileys, NULL, NULL);
-	gtk_tree_sortable_set_sort_column_id(GTK_TREE_SORTABLE(prefs_smiley_themes),
-										 2, GTK_SORT_ASCENDING);
 }
 
 static void
@@ -1534,21 +1415,6 @@
 	gtk_widget_hide(win->conversations.win32.blink_im);
 #endif
 
-#if 0
-	/* TODO: it's not implemented */
-	pidgin_prefs_bind_checkbox(
-			PIDGIN_PREFS_ROOT "/conversations/resize_custom_smileys",
-			win->conversations.resize_custom_smileys);
-
-	pidgin_prefs_bind_spin_button(
-			PIDGIN_PREFS_ROOT "/conversations/custom_smileys_size",
-			win->conversations.custom_smileys_size);
-
-	g_object_bind_property(win->conversations.resize_custom_smileys, "active",
-			win->conversations.custom_smileys_size, "sensitive",
-			G_BINDING_SYNC_CREATE);
-#endif
-
 	pidgin_prefs_bind_spin_button(
 		PIDGIN_PREFS_ROOT "/conversations/minimum_entry_lines",
 		win->conversations.minimum_entry_lines);
@@ -2508,12 +2374,6 @@
 			conversations.win32.blink_im);
 	gtk_widget_class_bind_template_child(
 			widget_class, PidginPrefsWindow,
-			conversations.resize_custom_smileys);
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow,
-			conversations.custom_smileys_size);
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow,
 			conversations.minimum_entry_lines);
 	gtk_widget_class_bind_template_child(
 			widget_class, PidginPrefsWindow,
@@ -2650,12 +2510,8 @@
 	/* Themes page */
 	gtk_widget_class_bind_template_child(
 			widget_class, PidginPrefsWindow, theme.status);
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow, theme.smiley);
 	gtk_widget_class_bind_template_callback(widget_class,
 			prefs_set_status_icon_theme_cb);
-	gtk_widget_class_bind_template_callback(widget_class,
-			prefs_set_smiley_theme_cb);
 }
 
 static void
@@ -2687,31 +2543,6 @@
 	gtk_window_present(GTK_WINDOW(prefs));
 }
 
-static void
-smiley_theme_pref_cb(const char *name, PurplePrefType type,
-					 gconstpointer value, gpointer data)
-{
-	const gchar *theme_name = value;
-	GList *themes, *it;
-
-	if (purple_strequal(theme_name, "none")) {
-		purple_smiley_theme_set_current(NULL);
-		return;
-	}
-
-	/* XXX: could be cached when initializing prefs view */
-	themes = pidgin_smiley_theme_get_all();
-
-	for (it = themes; it; it = g_list_next(it)) {
-		PidginSmileyTheme *theme = it->data;
-
-		if (!purple_strequal(pidgin_smiley_theme_get_name(theme), theme_name))
-			continue;
-
-		purple_smiley_theme_set_current(PURPLE_SMILEY_THEME(theme));
-	}
-}
-
 void
 pidgin_prefs_init(void)
 {
@@ -2731,14 +2562,6 @@
 	/* Themes */
 	prefs_themes_init();
 
-	/* Smiley Themes */
-	purple_prefs_add_none(PIDGIN_PREFS_ROOT "/smileys");
-	purple_prefs_add_string(PIDGIN_PREFS_ROOT "/smileys/theme", "Default");
-
-	/* Smiley Callbacks */
-	purple_prefs_connect_callback(&prefs, PIDGIN_PREFS_ROOT "/smileys/theme",
-								smiley_theme_pref_cb, NULL);
-
 #ifdef USE_VV
 	/* Voice/Video */
 	purple_prefs_add_none(PIDGIN_PREFS_ROOT "/vvconfig");
@@ -2794,9 +2617,7 @@
 	purple_prefs_remove(PIDGIN_PREFS_ROOT "/conversations/html_shortcuts");
 	purple_prefs_remove(PIDGIN_PREFS_ROOT "/conversations/icons_on_tabs");
 	purple_prefs_remove(PIDGIN_PREFS_ROOT "/conversations/send_formatting");
-	purple_prefs_remove(PIDGIN_PREFS_ROOT "/conversations/show_smileys");
 	purple_prefs_remove(PIDGIN_PREFS_ROOT "/conversations/show_urls_as_links");
-	purple_prefs_remove(PIDGIN_PREFS_ROOT "/conversations/smiley_shortcuts");
 	purple_prefs_remove(PIDGIN_PREFS_ROOT "/conversations/use_custom_bgcolor");
 	purple_prefs_remove(PIDGIN_PREFS_ROOT "/conversations/use_custom_fgcolor");
 	purple_prefs_remove(PIDGIN_PREFS_ROOT "/conversations/use_custom_font");
diff --git a/pidgin/resources/BuddyList/window.ui b/pidgin/resources/BuddyList/window.ui
--- a/pidgin/resources/BuddyList/window.ui
+++ b/pidgin/resources/BuddyList/window.ui
@@ -235,16 +235,6 @@
                     <property name="visible">True</property>
                     <property name="can-focus">False</property>
                     <child>
-                      <object class="GtkMenuItem" id="custom_smileys">
-                        <property name="visible">True</property>
-                        <property name="can-focus">False</property>
-                        <property name="action-name">app.custom-smiley</property>
-                        <property name="label" translatable="yes">Custom Smile_ys</property>
-                        <property name="use-underline">True</property>
-                        <accelerator key="y" signal="activate" modifiers="GDK_CONTROL_MASK"/>
-                      </object>
-                    </child>
-                    <child>
                       <object class="GtkMenuItem" id="preferences">
                         <property name="visible">True</property>
                         <property name="can-focus">False</property>
diff --git a/pidgin/resources/Prefs/prefs.ui b/pidgin/resources/Prefs/prefs.ui
--- a/pidgin/resources/Prefs/prefs.ui
+++ b/pidgin/resources/Prefs/prefs.ui
@@ -20,8 +20,8 @@
 
 -->
 <interface>
+  <requires lib="gtk+" version="3.22"/>
   <requires lib="Talkatu" version="0.0"/>
-  <requires lib="gtk+" version="3.22"/>
   <requires lib="pidgin" version="3.0"/>
   <!-- interface-license-type gplv2 -->
   <!-- interface-name Pidgin -->
@@ -78,13 +78,6 @@
     <property name="step-increment">1</property>
     <property name="page-increment">10</property>
   </object>
-  <object class="GtkAdjustment" id="conversations.custom_smiley_size.adjustment">
-    <property name="lower">16</property>
-    <property name="upper">512</property>
-    <property name="value">16</property>
-    <property name="step-increment">1</property>
-    <property name="page-increment">10</property>
-  </object>
   <object class="TalkatuTagTable" id="conversations.format_tag_table"/>
   <object class="TalkatuWholeBuffer" id="conversations.format_buffer">
     <property name="tag-table">conversations.format_tag_table</property>
@@ -674,7 +667,7 @@
                                   <packing>
                                     <property name="expand">False</property>
                                     <property name="fill">True</property>
-                                    <property name="position">5</property>
+                                    <property name="position">3</property>
                                   </packing>
                                 </child>
                                 <child>
@@ -688,7 +681,7 @@
                                   <packing>
                                     <property name="expand">False</property>
                                     <property name="fill">True</property>
-                                    <property name="position">6</property>
+                                    <property name="position">4</property>
                                   </packing>
                                 </child>
                                 <child>
@@ -703,58 +696,7 @@
                                   <packing>
                                     <property name="expand">False</property>
                                     <property name="fill">True</property>
-                                    <property name="position">7</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <object class="GtkBox">
-                                    <property name="can-focus">False</property>
-                                    <property name="spacing">6</property>
-                                    <child>
-                                      <object class="GtkCheckButton" id="conversations.resize_custom_smileys">
-                                        <property name="label" translatable="yes">Resize incoming custom smileys</property>
-                                        <property name="visible">True</property>
-                                        <property name="can-focus">True</property>
-                                        <property name="receives-default">False</property>
-                                        <property name="draw-indicator">True</property>
-                                      </object>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="fill">True</property>
-                                        <property name="position">0</property>
-                                      </packing>
-                                    </child>
-                                    <child>
-                                      <object class="GtkLabel">
-                                        <property name="visible">True</property>
-                                        <property name="can-focus">False</property>
-                                        <property name="label" translatable="yes">Maximum size:</property>
-                                      </object>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="fill">True</property>
-                                        <property name="position">1</property>
-                                      </packing>
-                                    </child>
-                                    <child>
-                                      <object class="GtkSpinButton" id="conversations.custom_smileys_size">
-                                        <property name="visible">True</property>
-                                        <property name="can-focus">True</property>
-                                        <property name="input-purpose">number</property>
-                                        <property name="adjustment">conversations.custom_smiley_size.adjustment</property>
-                                        <property name="numeric">True</property>
-                                      </object>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="fill">True</property>
-                                        <property name="position">2</property>
-                                      </packing>
-                                    </child>
-                                  </object>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">True</property>
-                                    <property name="position">8</property>
+                                    <property name="position">5</property>
                                   </packing>
                                 </child>
                                 <child>
@@ -792,7 +734,7 @@
                                   <packing>
                                     <property name="expand">False</property>
                                     <property name="fill">True</property>
-                                    <property name="position">9</property>
+                                    <property name="position">6</property>
                                   </packing>
                                 </child>
                               </object>
@@ -927,38 +869,46 @@
                                 <property name="orientation">vertical</property>
                                 <child>
                                   <object class="TalkatuEditor">
-                                    <property name="orientation">vertical</property>
                                     <property name="visible">True</property>
+                                    <property name="can-focus">False</property>
                                     <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                                    <child internal-child="toolbar">
-                                      <object class="TalkatuToolbar">
-                                        <property name="visible">True</property>
-                                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                                      </object>
-                                      <packing>
-                                        <property name="fill">False</property>
-                                      </packing>
-                                    </child>
-                                    <child internal-child="input">
-                                      <object class="TalkatuView" id="conversations.format_view">
-                                        <property name="width_request">450</property>
-                                        <property name="visible">True</property>
-                                        <property name="can_focus">True</property>
-                                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
-                                        <property name="wrap_mode">word</property>
-                                        <property name="buffer">conversations.format_buffer</property>
-                                      </object>
-                                      <packing>
-                                        <property name="fill">False</property>
-                                      </packing>
-                                    </child>
+                                    <property name="orientation">vertical</property>
                                     <child internal-child="send_button">
                                       <object class="GtkButton">
                                         <property name="can-focus">False</property>
                                         <property name="receives-default">False</property>
                                       </object>
                                       <packing>
+                                        <property name="expand">False</property>
                                         <property name="fill">False</property>
+                                        <property name="position">0</property>
+                                      </packing>
+                                    </child>
+                                    <child internal-child="toolbar">
+                                      <object class="TalkatuToolbar">
+                                        <property name="visible">True</property>
+                                        <property name="can-focus">False</property>
+                                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
+                                      </object>
+                                      <packing>
+                                        <property name="expand">False</property>
+                                        <property name="fill">False</property>
+                                        <property name="position">0</property>
+                                      </packing>
+                                    </child>
+                                    <child internal-child="input">
+                                      <object class="TalkatuInput" id="conversations.format_view">
+                                        <property name="width-request">450</property>
+                                        <property name="visible">True</property>
+                                        <property name="can-focus">True</property>
+                                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
+                                        <property name="wrap-mode">word</property>
+                                        <property name="buffer">conversations.format_buffer</property>
+                                      </object>
+                                      <packing>
+                                        <property name="expand">False</property>
+                                        <property name="fill">False</property>
+                                        <property name="position">0</property>
                                       </packing>
                                     </child>
                                   </object>
@@ -2285,7 +2235,7 @@
                   <packing>
                     <property name="name">away</property>
                     <property name="title" translatable="yes">Status / Idle</property>
-                    <property name="position">6</property>
+                    <property name="position">5</property>
                   </packing>
                 </child>
                 <child>
@@ -2380,60 +2330,6 @@
                                     <property name="position">2</property>
                                   </packing>
                                 </child>
-                                <child>
-                                  <object class="GtkBox">
-                                    <property name="visible">True</property>
-                                    <property name="can-focus">False</property>
-                                    <property name="spacing">6</property>
-                                    <child>
-                                      <object class="GtkLabel" id="label18">
-                                        <property name="visible">True</property>
-                                        <property name="can-focus">False</property>
-                                        <property name="label" translatable="yes">Smiley Theme:</property>
-                                        <property name="xalign">0</property>
-                                      </object>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="fill">False</property>
-                                        <property name="position">0</property>
-                                      </packing>
-                                    </child>
-                                    <child>
-                                      <object class="GtkComboBox" id="theme.smiley">
-                                        <property name="visible">True</property>
-                                        <property name="can-focus">False</property>
-                                        <signal name="changed" handler="prefs_set_smiley_theme_cb" swapped="no"/>
-                                        <child>
-                                          <object class="GtkCellRendererPixbuf">
-                                            <property name="width">32</property>
-                                            <property name="height">32</property>
-                                          </object>
-                                          <attributes>
-                                            <attribute name="pixbuf">0</attribute>
-                                          </attributes>
-                                        </child>
-                                        <child>
-                                          <object class="GtkCellRendererText">
-                                            <property name="ellipsize">end</property>
-                                          </object>
-                                          <attributes>
-                                            <attribute name="markup">1</attribute>
-                                          </attributes>
-                                        </child>
-                                      </object>
-                                      <packing>
-                                        <property name="expand">True</property>
-                                        <property name="fill">True</property>
-                                        <property name="position">1</property>
-                                      </packing>
-                                    </child>
-                                  </object>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">False</property>
-                                    <property name="position">3</property>
-                                  </packing>
-                                </child>
                               </object>
                             </child>
                           </object>
@@ -2460,24 +2356,18 @@
                   <packing>
                     <property name="name">theme</property>
                     <property name="title" translatable="yes">Themes</property>
-                    <property name="position">7</property>
+                    <property name="position">6</property>
                   </packing>
                 </child>
                 <child>
                   <object class="PidginCredentialsPage">
                     <property name="visible">True</property>
                     <property name="can-focus">False</property>
-                    <child>
-                      <placeholder/>
-                    </child>
-                    <child>
-                      <placeholder/>
-                    </child>
                   </object>
                   <packing>
                     <property name="name">credentials</property>
                     <property name="title" translatable="yes">Credentials</property>
-                    <property name="position">8</property>
+                    <property name="position">7</property>
                   </packing>
                 </child>
               </object>
@@ -2527,13 +2417,11 @@
   <object class="GtkSizeGroup" id="theme.combo_sg">
     <widgets>
       <widget name="theme.status"/>
-      <widget name="theme.smiley"/>
     </widgets>
   </object>
   <object class="GtkSizeGroup" id="theme.label_sg">
     <widgets>
       <widget name="label20"/>
-      <widget name="label18"/>
     </widgets>
   </object>
 </interface>
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -276,11 +276,6 @@
 libpurple/savedstatuses.c
 libpurple/server.c
 libpurple/signals.c
-libpurple/smiley.c
-libpurple/smiley-custom.c
-libpurple/smiley-list.c
-libpurple/smiley-parser.c
-libpurple/smiley-theme.c
 libpurple/status.c
 libpurple/stun.c
 libpurple/tests/test_account_option.c
@@ -295,8 +290,6 @@
 libpurple/tests/test_protocol_attention.c
 libpurple/tests/test_protocol_xfer.c
 libpurple/tests/test_queued_output_stream.c
-libpurple/tests/test_smiley.c
-libpurple/tests/test_smiley_list.c
 libpurple/tests/test_trie.c
 libpurple/tests/test_ui.c
 libpurple/tests/test_util.c
@@ -328,8 +321,6 @@
 pidgin/gtkrequest.c
 pidgin/gtkroomlist.c
 pidgin/gtksavedstatuses.c
-pidgin/gtksmiley-manager.c
-pidgin/gtksmiley-theme.c
 pidgin/gtkstatusbox.c
 pidgin/gtkstatus-icon-theme.c
 pidgin/gtkutils.c
